## com.baidubce.services.sms
Class SmsClientSupport

    java.lang.Object
      com.baidubce.AbstractBceClient
          com.baidubce.services.sms.SmsClientSupport

Direct Known Subclasses:
  SmsClient

    public abstract class SmsClientSupport

extends AbstractBceClient

This class is abstract. It contains all common methods which the `SmsClient` class should need

Field Summary
`protected static HttpResponseHandler[]` `SMS_HANDLERS`

Fields inherited from class com.baidubce.AbstractBceClient
`config, DEFAULT_CONTENT_TYPE, DEFAULT_ENCODING, DEFAULT_SERVICE_DOMAIN, URL_PREFIX`

Constructor Summary
`protected` `SmsClientSupport(BceClientConfiguration config, HttpResponseHandler[] responseHandlers)`

Method Summary
`protected void` `assertListNotNullOrEmpty(List<?> parameterValue, String errorMessage)`
`protected void` `assertStringArrayNotNullOrEmpty(String[] parameterValue, String errorMessage)`
`protected void` `assertStringNotNullOrEmpty(String parameterValue, String errorMessage)`
`protected InternalRequest` `createRequest(String resourceKey, AbstractBceRequest bceRequest, HttpMethodName httpMethod, String... pathVariables)`
`protected InternalRequest` `fillRequestPayload(InternalRequest internalRequest, String strJson)`

Methods inherited from class com.baidubce.AbstractBceClient
`getClient, getEndpoint, getServiceId, invokeHttpClient, isRegionSupported, setClient, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SMS_HANDLERS

    protected static final HttpResponseHandler[] SMS_HANDLERS

Constructor Detail

### SmsClientSupport

    protected SmsClientSupport(BceClientConfiguration config,
                               HttpResponseHandler[] responseHandlers)

Method Detail

### createRequest

    protected InternalRequest createRequest(String resourceKey,
                                            AbstractBceRequest bceRequest,
                                            HttpMethodName httpMethod,
                                            String... pathVariables)

### fillRequestPayload

    protected InternalRequest fillRequestPayload(InternalRequest internalRequest,
                                                 String strJson)

### assertStringNotNullOrEmpty

    protected void assertStringNotNullOrEmpty(String parameterValue,
                                              String errorMessage)

### assertStringArrayNotNullOrEmpty

    protected void assertStringArrayNotNullOrEmpty(String[] parameterValue,
                                                   String errorMessage)

### assertListNotNullOrEmpty

    protected void assertListNotNullOrEmpty(List<?> parameterValue,
                                            String errorMessage)

Copyright © 2016. All rights reserved.